Random "Could not find a required package in 'build-packages'" errors

Bug #1875655 reported by Michał Sawicz on 2020-04-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Snapcraft
High
Chris Patterson

Bug Description

@kenvandine had it yesterday and it happened for me just now - apparently randomly, Snapcraft dies complaining about missing packages. It's a different package every time, too.

> Could not find a required package in 'build-packages': g++

For now, a `snapcraft clean` helped.

I've managed to grab a debug log, attached.

===

After a closer look, this is due to the fact that `apt-get update` never ran in the instance (as it failed early).

To reproduce:

$ snap refresh multipass --edge
$ snap refresh snapcraft --stable
$ snapcraft
# fails with ProviderFileCopyError
$ snap refresh snapcraft --candidate
$ snapcraft
# fails with Could not find a required package in 'build-packages':

Michał Sawicz (saviq) wrote :
Michał Sawicz (saviq) on 2020-04-28
description: updated
Chris Patterson (cjp256) wrote :

PR up to force the refresh whenever there are unsatisfied build-packages:
https://github.com/snapcore/snapcraft/pull/3099

Changed in snapcraft:
assignee: nobody → Chris Patterson (cjp256)
status: New → In Progress
Changed in snapcraft:
status: In Progress → Fix Committed
importance: Undecided → High
Changed in snapcraft:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers